# Service Metadata Service Metadata ## Gets all of the service metadata in the system. - [GET /serviceMetadata/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/listservicemetadata.md): This method will scan all service metadata and and return them to the caller. ## Creates a new service metadatum record that does not already exist. - [POST /serviceMetadata/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/createservicemetadatum.md): This method will auto-generate an ID and create a new service metadatum. If an ID is specified for the service metadatum, an error will be thrown. ## Returns a service metadatum from the system by its ID. - [DELETE /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/deleteservicemetadatum.md): This method will delete a service metadatum with the specified ID. ## Returns a service metadatum from the system by its ID. - [GET /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/getservicemetadatum.md): This method will look up a service metadatum by the specified ID and return it back. ## Partially updates a service metadatum with the specified ID. - [PATCH /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/patchservicemetadatum.md): This method will patch an existing service metadatum with the specified ID, using the HTTP PATCH specification. ## Updates a service metadatum with the specified ID. - [PUT /serviceMetadata/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/service-metadata/updateservicemetadatum.md): This method will update an existing service metadatum with the specified ID.